#!/bin/bash

# -----------------------------------------------------------------------
# stop existing conky processes
# -----------------------------------------------------------------------
if [[ "$(pidof conky)" ]] ; then killall conky; fi

conkywxVersion=$(/usr/share/conkywx/conkywx.sh -v)
conkywxVersion="${conkywxVersion//[.]/}"
WX_DIR="."; export WX_DIR

# -----------------------------------------------------------------------
# run conky instances
# -----------------------------------------------------------------------
conky_version=($( conky -v ))
conky_version=($( conky -v ))
conky_version="${conky_version[1]//[^0-9.]/}"
conky_version="${conky_version%.*}"

case "$conky_version" in
1.9)
	conky -c "${WX_DIR}/conkywx-clockrc.sh" &
	conky -c "${WX_DIR}/conky-musicrc.sh" &
	conky -c "${WX_DIR}/conkywx-surface-imagerc.sh" &
	conky -c "${WX_DIR}/big-luamix-conkyrc.sh" &

	conky -c "${WX_DIR}/conky-systemrc.sh" &
	# conky -c "${WX_DIR}/expanded-conkyrc.sh" &
	# conky -c "${WX_DIR}/now-conkyrc.sh" &
	# conky -c "${WX_DIR}/scroller-conkyrc.sh" &
	# conky -c "${WX_DIR}/short-02-conkyrc.sh" &
	# conky -c "${WX_DIR}/short-conkyrc.sh" &
	# conky -c "${WX_DIR}/short-luamix-conkyrc.sh" &
	# conky -c "${WX_DIR}/slim-conkyrc.sh" &
	# conky -c "${WX_DIR}/vindsl-conkyrc.sh" &
	;;
1.10)
	conky -c "${WX_DIR}/conkywx-clockrc" &
	conky -c "${WX_DIR}/conky-musicrc" &
	conky -c "${WX_DIR}/conkywx-surface-imagerc" &
	conky -c "${WX_DIR}/big-luamix-conkyrc" &
	conky -c "${WX_DIR}/vertical-scroller-gdacs-conkyrc" &
	conky -c "${WX_DIR}/vertical-scroller-news-conkyrc" &

	# conky -c "${WX_DIR}/conky-systemrc" &
	conky -c "${WX_DIR}/vertical-scroller-weather-conkyrc" &
	# conky -c "${WX_DIR}/horizontal-scroller-weather-conkyrc" &
	# conky -c "${WX_DIR}/vertical-scroller-seismic-conkyrc" &

	# conky -c "${WX_DIR}/expanded-conkyrc" &
	# conky -c "${WX_DIR}/now-conkyrc" &
	# conky -c "${WX_DIR}/short-02-conkyrc" &
	# conky -c "${WX_DIR}/short-conkyrc" &
	# conky -c "${WX_DIR}/short-luamix-conkyrc" &
	# conky -c "${WX_DIR}/slim-conkyrc" &

    #########
    ### For VINDSL Template - remove the comments for following 2 lines
	# conky -c "${WX_DIR}/vindsl-conkyrc" &
	# conky -c "${WX_DIR}/vertical-scroller-vindsl-weather-conkyrc" &
	;;
*)
	printf "%b" "\n\nError :( - What version of conky are you running??\nIf your version has worked before then edit this file:\n\t$0 \n\n"

esac

exit 0
