//****************************************************************************
//  Copyright (c) 2008-2013  Daniel D Miller
//  common.c - create C-compatible version of my common_funcs.cpp library.
//  common_funcs.cpp - common functions for Windows and other programs.
//  This module, which has been entirely compiled from public-domain sources, 
//  is itself declared in the public domain.
//  
//  Collected and Organized by:  Dan Miller
//****************************************************************************
#include <string.h>

#include "local_defs.h"

//**********************************************************************
//lint -esym(714, next_field)
//lint -esym(759, next_field)
//lint -esym(765, next_field)
char *next_field(char *q)
{
   while (*q != ' '  &&  *q != HTAB  &&  *q != 0)
      q++ ; //  walk past non-spaces
   while (*q == ' '  ||  *q == HTAB)
      q++ ; //  walk past all spaces
   return q;
}

//**********************************************************************
//lint -esym(714, strip_newlines)
//lint -esym(759, strip_newlines)
//lint -esym(765, strip_newlines)
void strip_newlines(char *rstr)
{
   int slen = (int) strlen(rstr) ;
   while (LOOP_FOREVER) {
      if (slen == 0)
         break;
      if (*(rstr+slen-1) == '\n'  ||  *(rstr+slen-1) == '\r') {
         slen-- ;
         *(rstr+slen) = 0 ;
      } else {
         break;
      }
   }
}

//**********************************************************************
void strip_trailing_spaces(char *rstr)
{
   unsigned slen = strlen(rstr) ;
   while (LOOP_FOREVER) {
      if (slen == 0)
         break;
      slen-- ; //  point to last character
      if (*(rstr+slen) != ' ') 
         break;
      *(rstr+slen) = 0 ;
   }
}

//****************************************************************************
float c2f(float x)    { return ( ((9.0 * x) / 5.0) + 32.0 ); }
float m2mi(float x)   { return ( x * 0.00062137119 );        }
float m2ft(float x)   { return ( x / 0.3048        );        }
float ft2m(float x)   { return ( x * 0.3048        );        }
float km2mi(float x)  { return ( x * 0.62137119000 );        }
float kt2mi(float x)  { return ( x * 1.1507794     );        }
float hpa2in(float x) { return ( x * 0.0295300     );        }

