--[[
	Paramvir Likhari - conkywx 2011 - 2017 - GPL3
	pre_exec library for use with conkywx lua implementation
--]]

local tconcat = table.concat
local lmatch  = string.match
local lgsub   = string.gsub

-- package.path = package.path .. ";./lib/?.lua;"

local FC = require("luafunc")

local wxsplit  = FC.wxsplit
local ExecInfo = FC.ExecInfo

local w        = {}
local pretable = {}
local counter  = 0
function w.pre_exec(...)
    -- by paramvir 2017 conkywx
    local p = {...}
    local v1 = {}
    if p[1] then
        local pdata = tconcat(p,' ')
        local remdata = lmatch(pdata, '%-%-remove_text%s*(.*)')
        if remdata then
            pdata = lmatch(pdata, '(.*)%-%-remove_text')
        end

        if #pretable > 0 then
            for k = 1, #pretable do
                v1 = wxsplit(pretable[k],' ::: ')
                if v1[1] == pdata then
                    if remdata then
                        return lgsub(v1[2], remdata,'')
                    else
                        return v1[2]
                    end
                end
            end
        end
        if counter == 0 then
            pretable[#pretable + 1] = pdata
            for k = 1, #pretable do
                local pred = ExecInfo({ cmd = pretable[k] })
                pred = pred or ''
                pretable[k] = pretable[k] .. ' ::: ' .. pred
            end
        end
        return ''
    else
        error("\nError :(\npre_exec expects argument(s)")
    end
    counter = counter + 1
end

collectgarbage()

return w


